> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get containment action history for an asset



## OpenAPI

````yaml https://api.wirespeed.co/v1/openapi.json get /v1/asset/containment-history/{assetType}/{id}
openapi: 3.0.0
info:
  title: Wirespeed API
  description: The public Wirespeed API. v1 is the first stable contract.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.wirespeed.co
security: []
tags: []
paths:
  /v1/asset/containment-history/{assetType}/{id}:
    get:
      tags:
        - Asset
      summary: Get containment action history for an asset
      operationId: AssetController_getContainmentHistory
      parameters:
        - name: assetType
          required: true
          in: path
          description: Asset type (endpoint, directory_user, file)
          schema:
            enum:
              - directory_user
              - endpoint
              - file
            type: string
        - name: id
          required: true
          in: path
          description: Asset identifier
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContainmentHistoryResponseDto'
      security:
        - bearer: []
components:
  schemas:
    ContainmentHistoryResponseDto:
      type: object
      properties:
        items:
          description: Containment history entries, newest first
          type: array
          items:
            $ref: '#/components/schemas/ContainmentHistoryItemDto'
      required:
        - items
    ContainmentHistoryItemDto:
      type: object
      properties:
        intent:
          type: string
          enum:
            - contain
            - uncontain
          description: 'Intent: contain or uncontain'
        subAction:
          type: string
          description: Specific sub-action performed
        result:
          type: string
          enum:
            - success
            - pending
            - failure
          description: Result of the action
        createdAt:
          type: string
          description: When the action was performed
        performedBy:
          type: string
          description: Email of the user who performed the action
        detectionId:
          type: string
          description: Detection ID if triggered by auto-containment
        detectionSid:
          type: string
          description: Detection SID if triggered by auto-containment
        integrationId:
          type: string
          description: Integration ID that executed the action
        failureReason:
          type: string
          description: Reason for failure, if the action failed
        blockedByConfiguration:
          type: boolean
          description: Whether this action was blocked by team containment configuration
      required:
        - intent
        - createdAt
        - blockedByConfiguration
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````